Skocz do zawartości

  • Zaloguj korzystając z Facebooka Zaloguj korzystając z Twittera Zaloguj przez Steam Zaloguj poprzez Google      Logowanie »   
  • Rejestracja

Witamy w Nieoficjalnym polskim support'cie AMX Mod X

Witamy w Nieoficjalnym polskim support'cie AMX Mod X, jak w większości społeczności internetowych musisz się zarejestrować aby móc odpowiadać lub zakładać nowe tematy, ale nie bój się to jest prosty proces w którym wymagamy minimalnych informacji.

  • Rozpoczynaj nowe tematy i odpowiedaj na inne
  • Zapisz się do tematów i for, aby otrzymywać automatyczne uaktualnienia
  • Dodawaj wydarzenia do kalendarza społecznościowego
  • Stwórz swój własny profil i zdobywaj nowych znajomych
  • Zdobywaj nowe doświadczenia

Dołączona grafika Dołączona grafika

Guest Message by DevFuse
 

Zdjęcie

Segmentation fault


  • Nie możesz napisać tematu
  • Zaloguj się, aby dodać odpowiedź
18 odpowiedzi w tym temacie

#1 Dziobak?

    Wszechmogący

  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 08.02.2015 18:10

Witam, piszę temat bo od kilku dni się męczę na jailu z crashami. Nie mam pojęcia od czego one występują....
 
Taki crash:

Uploading dump (in-process) [proxy '']
/tmp/dumps/crash_20150208174036_1.dmp
success = no
error:  Failed to open/read local data from file/application
/home/servers/bin/games/CS_1.6.sh: line 51: 22156 Segmentation fault      LD_LIBRARY_PATH=".:bin" start-stop-daemon --start --chuid $USER:$GROUP -m --pidfile $PID_FILE --chdir $USER_DIR/$BIN_DIR --exec $USER_DIR/$BIN_DIR/$BIN_NAME -- $GAME_PARAMS

 
 
 

version :  48/1.1.2.6/Stdio 5787 secure  (10)
meta list
Currently loaded plugins:
      description      stat pend  file              vers      src   load  unlod
 [ 1] AMX Mod X        RUN   -    amxmodx_mm_i386.  v1.8.1.3  ini   Start ANY  
 [ 2] dproto_EF        RUN   -    dproto_i386.so    v0.9.391  ini   Start Never
 [ 3] VoiceTranscoder  RUN   -    vtc.so            v80       ini   ANY   ANY  
 [ 4] ChatMenuFix      RUN   -    chatmenufix_mm_i  v1.5      ini   Start Never
 [ 5] Cust. Flood Fix  RUN   -    cf_fix_mm_i386.s  v1.1      ini   Start Never
 [ 6] FullupdatePatch  RUN   -    fullupd_patch_mm  v1.2      ini   Start Never
 [ 7] NetBufExtender   RUN   -    nbex.so           v1.0      ini   ANY   Never
 [ 8] MySQL            RUN   -    mysql_amxx_i386.  v1.8.1.3  pl1   ANY   ANY  
 [ 9] SQLite           RUN   -    sqlite_amxx_i386  v1.8.1.3  pl1   ANY   ANY  
 [10] Fun              RUN   -    fun_amxx_i386.so  v1.8.1.3  pl1   ANY   ANY  
 [11] Engine           RUN   -    engine_amxx_i386  v1.8.2-d  pl1   ANY   ANY  
 [12] FakeMeta         RUN   -    fakemeta_amxx_i3  v1.8.1.3  pl1   ANY   ANY  
 [13] Ham Sandwich     RUN   -    hamsandwich_amxx  v1.8.1.3  pl1   ANY   ANY  
 [14] CStrike          RUN   -    cstrike_amxx_i38  v1.8.1.3  pl1   ANY   ANY  
 [15] Orpheu           RUN   -    orpheu_amxx_i386  v2.3      pl1   ANY   ANY  
15 plugins, 15 running

 
plugins-jb.ini

Spoiler

 

plugins.ini

Spoiler

 

Nie mam pojęcia od czego te crashe tyle pluginów OFF.

Cały jailbreak api i zabawy to z tematu cypisa nic nie edytowane...

http://amxx.pl/topic...s-aktualizacja/

 

Nie mam żadnych error-logów.

 

 


  • +
  • -
  • 0

#2 dredek

    Wszechwidzący

  • Użytkownik

Reputacja: 113
Zaawansowany

  • Postów:240
  • GG:
  • Imię:Dawid
  • Lokalizacja:OLK
Offline

Napisano 08.02.2015 18:32

Też miałem takie crashe z powodem Segmention Fault i co się okazało to nie była wina pluginów tylko exploitów na crashowanie serwerów.

Wgraj fixy na fake clienty i zaktualizuj dproto i wtedy daj znać ;-)


  • +
  • -
  • 0

#3 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 08.02.2015 21:39

Też miałem takie crashe z powodem Segmention Fault i co się okazało to nie była wina pluginów tylko exploitów na crashowanie serwerów.

Wgraj fixy na fake clienty i zaktualizuj dproto i wtedy daj znać ;-)

 

wątpie co do tego.

 

Po wgraniu najnowszego dproto serwer nie działa + 0 errorów, błędów, informacji na temat nie działającego serwera.


  • +
  • -
  • 0

#4 Ogen Dogen

    Guru

  • Power User

Reputacja: 222
Profesjonalista

  • Postów:713
  • GG:
  • Steam:steam
  • Imię:Marcin
  • Lokalizacja:Dąbrowa Górnicza
Offline

Napisano 08.02.2015 22:06

Może jednak spróbuj dproto 0.9.524; U mnie chodzi bez problemu na binarkach 5787 ,a miałem podobną sytuację że serwer się crashował i też byłem przekonany że to jakiś bug a się okazało że ataki z najnowszego exploita ;)


  • +
  • -
  • 0

b_350_20_360204_C20008_FFFFFF_000000.png 193.33.176.115:27015

 

94e23d811c.png

 


#5 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 09.02.2015 08:09

Może jednak spróbuj dproto 0.9.524; U mnie chodzi bez problemu na binarkach 5787 ,a miałem podobną sytuację że serwer się crashował i też byłem przekonany że to jakiś bug a się okazało że ataki z najnowszego exploita ;)

 

No ale u mnie pro elo hosting mi odpisał jeżeli zapytałem o HLDS i AMX 1.8.2

Stary HLDS przystosowany jest pod 1.8.1 dlatego nie odpowiada przy 1.8.2, to akurat nie nasza wina a developerów.

PS. Hosting ma wpisane że instaluje dproto 0.9.524 a tak naprawdę to v0.9.391

a sam jak wgrywam to tak jak pisałem serwer się włączyć nie chce ;/


  • +
  • -
  • 0

#6 TibacK

    Diler pod gimnazjum dla niepełnosprawnych dzieci

  • Power User

Reputacja: 466
Wszechobecny

  • Postów:2448
Offline

Napisano 09.02.2015 09:59

Sprawdz czego to wina. Czy dproto czy amxmodx'a...

 

Wyłącz w plugins.ini metamoda. Wtedy można zacząć szukać przyczyny.


  • +
  • -
  • 0

Sprzedam Paczkę CoD pod CS 1.6 (JEST WIELE WERSJI DO WYBORU TEJ PACZKI) na lvl od 201 - 601

Silnik (8 nowych statystyk, poprawiony zapis, dodatkowy exp, pozbyto się CurWeapon). Ponad 100 perków (do wyboru do koloru). Sklep, NOWE MISJE (QUESTY), premium i super premium, AUKCJE, KLANY, zapis nVault, 4 zestawy modeli bronii do wyboru!

JESTEŚ ZAINTERESOWANY KUPNEM? NAPISZ WIADOMOŚĆ DO MNIE!


#7 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 09.02.2015 15:54

Dobra, udało się zainstalować dproto 0.9.524

Może pomoże coś, dam znać jak coś.


  • +
  • -
  • 0

#8 ex0

    Wolny strzelec.

  • Power User

Reputacja: 377
Wszechpomocny

  • Postów:1124
  • GG:
  • Imię:Kacper
  • Lokalizacja:Żywiec
Offline

Napisano 09.02.2015 16:10

Dobra, udało się zainstalować dproto 0.9.524

Może pomoże coś, dam znać jak coś.

Sam od siebie polecam wersję 497. 
Ostatnia wersja moim subiektywnym zdaniem, która była połatana przynajmniej tak jak należy.
W 524 słyszałem, że znowu coś się wali, może nie tyle słyszałem co czytałem u naszych Putinowatych kolegów. 

Co do Segmentationa.
Zdebugowałeś serwer i włączyłeś condebug żebyś łapał wszystkie wiadomości?

Moduł Orpheu do czego wykorzystujesz tak realnie?
Czy jest o tak sobie, lub do jakiś flooooodówww pseudo?


  • +
  • -
  • 0

TWORZENIE FOR SPOŁECZNOŚCIOWYCH | ZARZĄDZANIE STRONAMI INTERNETOWYMI
WSPARCIE TECHNICZNE SERWERÓW HLDS | MODERNIZACJA, OPTYMALIZACJA, ZABEZPIECZENIA


Zapraszam do mojego profilu ;)


#9 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 09.02.2015 16:15

No wgrałem to najnowsze dproto i efekty

Uploading dump (in-process) [proxy '']
/tmp/dumps/crash_20150209161241_1.dmp
success = no
error:  Failed to open/read local data from file/application
/home/servers/bin/games/CS_1.6.sh: line 51:  4877 Segmentation fault      LD_LIBRARY_PATH=".:bin" start-stop-daemon --start --chuid $USER:$GROUP -m --pidfile $PID_FILE --chdir $USER_DIR/$BIN_DIR --exec $USER_DIR/$BIN_DIR/$BIN_NAME -- $GAME_PARAMS

orpehu to do jakiejś łatki HLDS z csseti


  • +
  • -
  • 0

#10 ex0

    Wolny strzelec.

  • Power User

Reputacja: 377
Wszechpomocny

  • Postów:1124
  • GG:
  • Imię:Kacper
  • Lokalizacja:Żywiec
Offline

Napisano 09.02.2015 16:41

Wgraj 497. 
Wyłącz te łatkęęę i wyłącz moduł orpheu.

Zobaczymy wtedy.


  • +
  • -
  • 0

TWORZENIE FOR SPOŁECZNOŚCIOWYCH | ZARZĄDZANIE STRONAMI INTERNETOWYMI
WSPARCIE TECHNICZNE SERWERÓW HLDS | MODERNIZACJA, OPTYMALIZACJA, ZABEZPIECZENIA


Zapraszam do mojego profilu ;)


#11 Ogen Dogen

    Guru

  • Power User

Reputacja: 222
Profesjonalista

  • Postów:713
  • GG:
  • Steam:steam
  • Imię:Marcin
  • Lokalizacja:Dąbrowa Górnicza
Offline

Napisano 09.02.2015 22:35

Z tego co słyszałem to łatki z cssetti mają backdoory ^^


[ 4] ChatMenuFix RUN - chatmenufix_mm_i v1.5 ini Start Never [ 5] Cust. Flood Fix RUN - cf_fix_mm_i386.s v1.1 ini Start Never [ 6] FullupdatePatch RUN - fullupd_patch_mm v1.2 ini Start Never [ 7] NetBufExtender RUN - nbex.so v1.0 ini ANY Never

 

To ci jest potrzebne ?


  • +
  • -
  • 0

b_350_20_360204_C20008_FFFFFF_000000.png 193.33.176.115:27015

 

94e23d811c.png

 


#12 psilocybe

    Toasty!

  • Power User

Reputacja: 246
Wszechwidzący

  • Postów:524
  • Steam:steam
  • Imię:Filip
  • Lokalizacja:PL
Offline

Napisano 09.02.2015 22:45

Dlaczego te nieszczęsne 5787?

 

Dlaczego nie zainstalujesz 6157? Pytam poważnie. Dlaczego?


  • +
  • -
  • 0

Dołączona grafika

Dołączona grafika


#13 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 09.02.2015 23:21

Dlaczego te nieszczęsne 5787?

 

Dlaczego nie zainstalujesz 6157? Pytam poważnie. Dlaczego?

 

Z tego co mi wiadomo to ( jail cypis ) nie działą na nowszym :/

 

 

Z tego co słyszałem to łatki z cssetti mają backdoory ^^

 

 


[ 4] ChatMenuFix RUN - chatmenufix_mm_i v1.5 ini Start Never [ 5] Cust. Flood Fix RUN - cf_fix_mm_i386.s v1.1 ini Start Never [ 6] FullupdatePatch RUN - fullupd_patch_mm v1.2 ini Start Never [ 7] NetBufExtender RUN - nbex.so v1.0 ini ANY Never

 

To ci jest potrzebne ?

 

Nie wiem co mi jest z tego potrzebne :D

Wiem że znajomy jakimś syfem mógł mi zblokował serwer (zawiesił) i nie chciał się włączyć do puki tego nie wyłączy i dał mi tą łatkę na hlds.


  • +
  • -
  • 0

#14 Ogen Dogen

    Guru

  • Power User

Reputacja: 222
Profesjonalista

  • Postów:713
  • GG:
  • Steam:steam
  • Imię:Marcin
  • Lokalizacja:Dąbrowa Górnicza
Offline

Napisano 10.02.2015 01:35

W takim razie ja na twoim miejscu przeinstalowałbym ten serwer , bo widzę że sam już nie wiesz co jest co ;)

Patrzałeś condebug ?


  • +
  • -
  • 0

b_350_20_360204_C20008_FFFFFF_000000.png 193.33.176.115:27015

 

94e23d811c.png

 


#15 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 10.02.2015 08:39

W takim razie ja na twoim miejscu przeinstalowałbym ten serwer , bo widzę że sam już nie wiesz co jest co ;)

Patrzałeś condebug ?

 

No ja też bym przeinstalował ale na razie nie wiem co i jak. Gracze są więc arazie nie chcę zmienic niewiedząc że serwerowi coś pomoże lub czy będzie działał na nowszym HDLS, bo jak widziałem dużo tematów było na forum to mieli problem właśnie z nowym HLDS.

 

Już włączyłem condebug.


  • +
  • -
  • 0

#16 ex0

    Wolny strzelec.

  • Power User

Reputacja: 377
Wszechpomocny

  • Postów:1124
  • GG:
  • Imię:Kacper
  • Lokalizacja:Żywiec
Offline

Napisano 10.02.2015 10:20

Z tego co słyszałem to łatki z cssetti mają backdoory ^^

 

 


[ 4] ChatMenuFix RUN - chatmenufix_mm_i v1.5 ini Start Never [ 5] Cust. Flood Fix RUN - cf_fix_mm_i386.s v1.1 ini Start Never [ 6] FullupdatePatch RUN - fullupd_patch_mm v1.2 ini Start Never [ 7] NetBufExtender RUN - nbex.so v1.0 ini ANY Never

 

To ci jest potrzebne ?

Już pomijam to, że mają backdoory, ale jeśli ktoś to instaluje bo chce być łohoho, to wiesz.
Jego sprawa.

 

 

Dlaczego te nieszczęsne 5787?

 

Dlaczego nie zainstalujesz 6157? Pytam poważnie. Dlaczego?

Realnie rzecz biorąc 5758 z wszystkimi fixami sprawdza się najlepiej ale jednak nie do końca.
Pod Jaila cypisa niestety 5758 jest wymagany, ponieważ na nowszych segmentation jest jak +exec przy starcie serwera  :giggle:


  • +
  • -
  • 0

TWORZENIE FOR SPOŁECZNOŚCIOWYCH | ZARZĄDZANIE STRONAMI INTERNETOWYMI
WSPARCIE TECHNICZNE SERWERÓW HLDS | MODERNIZACJA, OPTYMALIZACJA, ZABEZPIECZENIA


Zapraszam do mojego profilu ;)


#17 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 10.02.2015 12:03

 

Z tego co słyszałem to łatki z cssetti mają backdoory ^^

 

 


[ 4] ChatMenuFix RUN - chatmenufix_mm_i v1.5 ini Start Never [ 5] Cust. Flood Fix RUN - cf_fix_mm_i386.s v1.1 ini Start Never [ 6] FullupdatePatch RUN - fullupd_patch_mm v1.2 ini Start Never [ 7] NetBufExtender RUN - nbex.so v1.0 ini ANY Never

 

To ci jest potrzebne ?

Już pomijam to, że mają backdoory, ale jeśli ktoś to instaluje bo chce być łohoho, to wiesz.
Jego sprawa.

 

 

Dlaczego te nieszczęsne 5787?

 

Dlaczego nie zainstalujesz 6157? Pytam poważnie. Dlaczego?

Realnie rzecz biorąc 5758 z wszystkimi fixami sprawdza się najlepiej ale jednak nie do końca.
Pod Jaila cypisa niestety 5758 jest wymagany, ponieważ na nowszych segmentation jest jak +exec przy starcie serwera  :giggle:

 

 

Dlatego Dorso, mam zamiar teraz wgrać, tylko jaka wersja HLDS będzie najlepsza ? bo tam widziałem że amx 1.8.3 wymaganym a jeżeli będę miał 1.8.2 to będzie źle ?:D


  • +
  • -
  • 0

#18 ex0

    Wolny strzelec.

  • Power User

Reputacja: 377
Wszechpomocny

  • Postów:1124
  • GG:
  • Imię:Kacper
  • Lokalizacja:Żywiec
Offline

Napisano 10.02.2015 13:33

Ja mam osobiście 6153/7 z 1.8.2 i nie narzekam zbytnio. 


  • +
  • -
  • 0

TWORZENIE FOR SPOŁECZNOŚCIOWYCH | ZARZĄDZANIE STRONAMI INTERNETOWYMI
WSPARCIE TECHNICZNE SERWERÓW HLDS | MODERNIZACJA, OPTYMALIZACJA, ZABEZPIECZENIA


Zapraszam do mojego profilu ;)


#19 Dziobak?

    Wszechmogący

  • Autor tematu
  • Power User

Reputacja: 265
Wszechwidzący

  • Postów:645
  • GG:
  • Steam:steam
  • Imię:Michał
  • Lokalizacja:Radom
Offline

Napisano 10.02.2015 23:23

Ja mam osobiście 6153/7 z 1.8.2 i nie narzekam zbytnio. 

 

Ale mowa o JailBreaku, tak ?

 

JailBreak dorso (czysty) wyniki podczas zmiany mapy:

home/servers/bin/games/CS_1.6.sh: line 51: 21752 Segmentation fault      LD_LIBRARY_PATH=".:bin" start-stop-daemon --start --chuid $USER:$GROUP -m --pidfile $PID_FILE --chdir $USER_DIR/$BIN_DIR --exec $USER_DIR/$BIN_DIR/$BIN_NAME -- $GAME_PARAMS
version :  48/1.1.2.7/Stdio 6153 secure  (10)
meta list
Currently loaded plugins:
      description      stat pend  file              vers      src   load  unlod
 [ 1] AMX Mod X        RUN   -    amxmodx_mm_i386.  v1.8.2    ini   Start ANY  
 [ 2] dproto_EF        fail load  dproto_i386.so    v0.9.497  ini   Start Never
 [ 3] VoiceTranscoder  fail load  vtc.so            v80       ini   ANY   ANY  
 [ 4] MySQL            RUN   -    mysql_amxx_i386.  v1.8.2    pl1   ANY   ANY  
 [ 5] SQLite           RUN   -    sqlite_amxx_i386  v1.8.2    pl1   ANY   ANY  
 [ 6] Fun              RUN   -    fun_amxx_i386.so  v1.8.2    pl1   ANY   ANY  
 [ 7] Engine           RUN   -    engine_amxx_i386  v1.8.2    pl1   ANY   ANY  
 [ 8] FakeMeta         RUN   -    fakemeta_amxx_i3  v1.8.2    pl1   ANY   ANY  
 [ 9] CStrike          RUN   -    cstrike_amxx_i38  v1.8.2    pl1   ANY   ANY  
 [10] CSX              RUN   -    csx_amxx_i386.so  v1.8.2    pl1   ANY   ANY  
 [11] Ham Sandwich     RUN   -    hamsandwich_amxx  v1.8.2    pl1   ANY   ANY  
11 plugins, 9 running

Już sił nie mam do tego jaila :D


  • +
  • -
  • 0




Użytkownicy przeglądający ten temat: 0

0 użytkowników, 0 gości, 0 anonimowych